Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "9c3dd4be-5771-48be-86ea-fa26b5d8d1d9",
  "date_start": "2026-11-04T10:03:35.2327854+00:00",
  "date_end": "2026-11-04T10:03:35.2327854+00:00",
  "modified_dateutc": "2026-11-04T10:03:35.2327854+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "bbdc2834-deeb-49a2-b03b-5467bc3b2882",
  "user_code": "sample string 8",
  "user": {
    "id": "1091340a-62b9-4184-8e0a-711c5d246634",
    "db_language_id": "25a184dd-978a-4e5d-9da5-1f87343f91c5",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-04T10:03:35.2457831+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "e7dcb9dc-19e4-417e-b316-78f960720a7f",
    "sales_organization": {
      "id": "da5d4114-4f3c-444e-bba5-0f499ebdd93f",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "849b550f-736e-45de-959b-7ef33ebb876a",
      "db_currency_id": "3c085c29-3ff3-4f88-b653-fd0d681a9d1d",
      "db_language_id": "d180282d-238d-4ecd-ae4d-2f1aa9b98e25",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-04T10:03:35.2457831+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "a75828fe-a20d-4160-bd1e-d42d462d4860",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "7a3c6d92-acab-4c01-9962-09773169d943",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-04T10:03:35.2457831+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "e641aeeb-8ad6-4855-9d7d-3e348a35fc02"
  },
  "user_unavailability_type_id": "4acbb4dd-2718-4373-a9f9-dc84bce62bf4",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "76bda261-07af-453c-b613-53513d9715c2",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "030e4f64-b873-46c4-8cfb-e95dd310ed82",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "da5d4114-4f3c-444e-bba5-0f499ebdd93f",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "849b550f-736e-45de-959b-7ef33ebb876a",
      "db_currency_id": "3c085c29-3ff3-4f88-b653-fd0d681a9d1d",
      "db_language_id": "d180282d-238d-4ecd-ae4d-2f1aa9b98e25",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-04T10:03:35.2457831+00:00"
    },
    "modified_dateutc": "2026-11-04T10:03:35.2457831+00:00"
  }
}